> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a KYC Evaluation



## OpenAPI

````yaml api-reference/openapi-apply.json GET /apply/kyc/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/kyc/{id}:
    get:
      tags:
        - KYC
      summary: Fetch a KYC Evaluation
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    alloy:
                      status: pending
                    alloy_full: null
                    apply_true: null
                    created_at: '2019-12-11T20:34:11Z'
                    id: akyc_11f7av5311234
                    kyc_product_id: akpt_1209bga8she6
                    middesk: null
                    middesk_full: null
                    object_id: apsn_01d5w6yaa6vt
                    object_type: person
                    provider: null
                    provider_full: null
                    provider_result: null
                    updated_at: '2019-12-11T20:34:11Z'
              schema:
                properties:
                  alloy:
                    description: >-
                      Object containing a summary of the Alloy KYC evaluation
                      (if enabled)
                    type: object
                  alloy_full:
                    description: >-
                      Object containing the full response from Alloy (if
                      enabled)
                    type: object
                  apply_type:
                    description: >-
                      Type of KYC waterfall. One of: `personal`, `business`.
                      Filterable.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  kyc_product_id:
                    description: >-
                      ID of the KYC product used to evaluate the object.
                      Optional — if omitted, the system will use the
                      organization's default KYC product for the given
                      object_type. Returns 404 if no default product is
                      configured for the org. Filterable.
                    type: string
                  middesk:
                    deprecated: true
                    description: >-
                      Object containing a summary of the Middesk KYC evaluation
                      (if enabled)
                    type: object
                  middesk_full:
                    description: >-
                      Object containing the full response from Middesk (if
                      enabled)
                    type: object
                  object_id:
                    description: >-
                      ID of the object (a person application or business
                      application) for the KYC evaluation. Filterable.
                    type: string
                  object_type:
                    description: 'One of: `person`, `business`. Filterable.'
                    type: string
                  provider:
                    description: Name of the KYC provider
                    type: string
                  provider_full:
                    description: >-
                      Object containing the full KYC provider's response (if
                      enabled)
                    type: object
                  provider_result:
                    description: >-
                      Object containing a summary of the KYC provider's
                      evaluation (if enabled)
                    properties:
                      outcome:
                        description: >-
                          Outcome of the evaluation. One of: `ok`, `error`,
                          `pending`
                        type: string
                    type: object
          description: The apply.kyc
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````